CPP=@CPP@
CXX=@CXX@

AFLAGS=-g
CFLAGS=@CFLAGS@ -I. -I.. -I../devices -I../video -I../oldgui @DEFS@
CXXFLAGS=$(CFLAGS)

LIBS=@LIBS@
MOC=@MOC@


OBJS=	# AdaptiveHuffman.o CodecFrame.o Simple.o

# Not all object require the MOC preprocessor
MOCH=	#CodecFrame.h Simple.h
MOBJS := $(patsubst %.h, %.moc.o, $(MOCH))

all:	codec.a

%.moc.cc: %.h
	$(MOC) -o $@ $<

clean:
	rm -f *.o *.a *~ *.moc.cc *.bak core

distclean:	clean
	rm -f config.h config.cache config.log config.status
	rm -f DEADJOE Makefile 

dep:
	makedepend -- $(CXXFLAGS) *.cc

codec.a: $(OBJS) $(MOBJS)
	ar rcs $@ $(OBJS) $(MOBJS)

